# Generated from validates_hostname-1.0.13.gem by gem2rpm -*- rpm-spec -*-
%global gem_name validates_hostname

Name: rubygem-%{gem_name}
Version: 1.0.13
Release: 1%{?dist}
Summary: Checks for valid hostnames
License: MIT
URL: https://github.com/KimNorgaard/validates_hostname
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(rspec) >= 3.0
# BuildRequires: rubygem(rspec) < 4
# BuildRequires: rubygem(rspec-rails)
# BuildRequires: rubygem(rails)
# BuildRequires: rubygem(sqlite3)
# BuildRequires: rubygem(pry-byebug)
# BuildRequires: rubygem(rspec-collection_matchers)
BuildArch: noarch

%description
Extension to ActiveRecord::Base for validating hostnames.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%license %{gem_instdir}/MIT-LICENSE
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/CHANGELOG.rdoc
%doc %{gem_instdir}/README.rdoc
%{gem_instdir}/Rakefile
%{gem_instdir}/validates_hostname.gemspec

%changelog
* Fri Oct 14 2022 mockbuilder - 1.0.13-1
- Initial package
